/*
 * MosP - Mind Open Source Project         http://www.mosp.jp/
 * Copyright (C) 1987-2009 MIND Co., Ltd.  http://www.e-mind.co.jp/
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */
var KEY_SEPARATOR      = ",";

/**
 * 画面読込時追加処理
 * @param 無し
 * @return 無し
 * @throws 実行時例外
 */
function onLoadExtra() {
	// 項目背景色設定
	setFieldsBgColor(ARY_FIELDS_ID,     COLOR_FIELD_NORMAL);
	setFieldsBgColor(ARY_ERR_FIELDS_ID, COLOR_FIELD_ERROR);
	// 項目長設定
	setMaxLength(PRM_TXT_START_HOUR		, LEN_HOUR);
	setMaxLength(PRM_TXT_START_MIN		, LEN_MIN);
	setMaxLength(PRM_TXT_LATE_HOUR		, LEN_HOUR);
	setMaxLength(PRM_TXT_LATE_MIN		, LEN_MIN);
	setMaxLength(PRM_TXT_LATE_COMMENT	, LEN_COMMENT);
	// フォーカス設定(EDITの場合)
	setFocus(PRM_TXT_START_HOUR);
	// モードタイトル
	switch (MODE) {
		case 0:
			setInnerHtml('spnMode', NAM_MODE_INSERT);
			break;
		case 1:
			setInnerHtml('spnMode', NAM_MODE_EDIT);
			break;
		case 2:
			setInnerHtml('spnMode', NAM_MODE_APPROVED);
			setColor('spnMode', COLOR_MSG_WARNING);
			break;		
		default:
	}

	// 登録ボタン利用可否
	if (MODE != 1) {
		setVisibility("btnDelete", false);
		setWidth("btnDelete", 0);
	}	
	if (MODE == 2) {
		setVisibility("btnRegist", false);
		setWidth("btnRegist", 0);
	}
	// 入力ボタン利用可否
	if (SELECT_CMD == "K1100") {
		setVisibility("btnStart", false);
		setVisibility("btnQuit", false);	
		setVisibility("btnCheck", false);
	}
	if (SELECT_CMD == "K1101") {
		setVisibility("btnCheck", false);
		setVisibility("btnHoliday", false);
	}
}

/**
 * サーバー通信処理
 * @param 無し
 * @return 無し
 * @throws 実行時例外
 */
function submitForm(objForm) {
	// 入力チェック
	if (validate()) {
		// サーバー通信(入力エラー無の場合)
		doSubmitMessage(objForm, 'K1102', 'QC0001', "");
	}
}

/**
 * 入力チェック
 * @param 無し
 * @return チェック結果(true：OK、false：NG)
 * @throws 実行時例外
 */
function validate() {
	// フィールド背景色設定
	setFieldsBgColor(ARY_FIELDS_ID, COLOR_FIELD_NORMAL);

	// 入力チェック
	var aryMessage = new Array();
	
	checkRequired(PRM_TXT_START_HOUR	, NAM_START_TIME_HOUR	, aryMessage);
	checkRequired(PRM_TXT_START_MIN		, NAM_START_TIME_MIN	, aryMessage);
	checkRequired(PRM_TXT_LATE_HOUR		, NAM_LATE_TIME_HOUR	, aryMessage);
	checkRequired(PRM_TXT_LATE_MIN		, NAM_LATE_TIME_MIN		, aryMessage);
	
	checkNumber  (PRM_TXT_START_HOUR	, NAM_START_TIME_HOUR	, aryMessage);
	checkNumber  (PRM_TXT_START_MIN		, NAM_START_TIME_MIN	, aryMessage);
	checkNumber  (PRM_TXT_LATE_HOUR		, NAM_LATE_TIME_HOUR	, aryMessage);
	checkNumber  (PRM_TXT_LATE_MIN		, NAM_LATE_TIME_MIN		, aryMessage);
	//時間、分の合計値チェック
	checkTimeValue(PRM_TXT_START_HOUR	,PRM_TXT_START_MIN	, 24 , NAM_START_TIME	,aryMessage);
	checkTimeValue(PRM_TXT_LATE_HOUR	,PRM_TXT_LATE_MIN	, 24 , NAM_LATE_TIME	,aryMessage);
		
	if (aryMessage.length == 0) {
		return true;
	} else {
		showMessage(aryMessage);
		return false;
	}
}

